### File

`packages/components/layout/eui-app-v2/eui-app.ts`

### Implements

`OnInit` `OnDestroy` `AfterContentInit`

### Metadata

selector | `eui-app`
imports | `AsyncPipe` `EUI_GROWL` `EUI_DIMMER` `EUI_BLOCK_DOCUMENT`
templateUrl | `./eui-app.html`
styleUrl | `./eui-app.scss`

### Index

###### Properties

- asService
- cssClasses
- euiGrowlService
- hasNoPageWrapper
- isViewLoaded

###### Inputs

- appSubTitle
- themeClass

###### HostBindings

- class

### Inputs

appSubTitle
Type : `string`
Default value : `''`

themeClass
Type : `string`
Default value : `''`

### HostBindings

class
Type : `string`
Default value : `'eui-app'`

### Properties

asService
Type : `unknown`
Default value : `inject(EuiAppShellService)`

cssClasses
Type : `string`
Default value : `'eui-app'`
Decorators : `@HostBinding('class')`

euiGrowlService
Type : `unknown`
Default value : `inject(EuiGrowlService)`

hasNoPageWrapper
Type : `unknown`
Default value : `false`

isViewLoaded
Type : `boolean`

# results matching ""

# No results matching ""